CVE-2020-10251

NameCVE-2020-10251
DescriptionIn ImageMagick 7.0.9, an out-of-bounds read vulnerability exists within the ReadHEICImageByID function in coders\heic.c. It can be triggered via an image with a width or height value that exceeds the actual size of the image.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs953741

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12fixed
jessie (security)8:6.8.9.9-5+deb8u19fixed
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u7fixed
bullseye, sid, buster8:6.9.10.23+dfsg-2.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)(unfixed)953741
imagemagicksourcejessie(not affected)
imagemagicksourcestretch(not affected)

Notes

[stretch] - imagemagick <not-affected> (Vulnerable code introduced later with HEIC image format support)
[jessie] - imagemagick <not-affected> (Vulnerable code introduced later with HEIC image format support)
https://github.com/ImageMagick/ImageMagick/issues/1859
ImageMagick: https://github.com/ImageMagick/ImageMagick/commit/868aad754ee599eb7153b84d610f2ecdf7b339f6
ImageMagick6: https://github.com/ImageMagick/ImageMagick6/commit/3456724dff047db5adb32f8cf70c903c1b7d16d4

Search for package or bug name: Reporting problems